function []=PlotUnCondMean(PrctileUnCondMeanAll,DataMeans,BreakDates,FirstSeqEstDate,LastSeqEstDate,VarLabels,season,PeriodType)

PlotSymbol={'b-','r--','g-.','m.-','co-'};
NVars=size(PrctileUnCondMeanAll{1},2);
NRegimes=size(PrctileUnCondMeanAll{1},3);
NSeqEst=size(PrctileUnCondMeanAll{1},1);
[NRows,NCols]=ConstructOptimalSubplot(NVars);
SeqEstDates=FirstSeqEstDate:(1/season):LastSeqEstDate;
NPrctiles=length(PrctileUnCondMeanAll);
k=1;
for regime=1:NRegimes
    LegendStr{k}=['BVAR - Median and 95% bands ',int2str(BreakDates(regime,1)),PeriodType,int2str(BreakDates(regime,2))];
    %LegendStr{k+1}=['BVAR - Median ',int2str(BreakDates(regime,1)),PeriodType,int2str(BreakDates(regime,2))];
    %LegendStr{k+1}=['BVAR - 95% upper band ',int2str(BreakDates(regime,1)),PeriodType,int2str(BreakDates(regime,2))];
    LegendStr{k+1}=['Sample average ',int2str(BreakDates(regime,1)),PeriodType,int2str(BreakDates(regime,2))];
    k=k+2;
end

FigHandle=figure;
set(FigHandle,'name','Sequential Estimates of Process'' Unconditional Mean')
for var=1:NVars
    subplot(NRows,NCols,var)
    hold on
    title(VarLabels{var})
    Count=0;
    for regime=1:NRegimes
        for jj=1:NPrctiles  
            if jj==1
                Count=Count+1;
                PlotHandle(Count)=plot(SeqEstDates,PrctileUnCondMeanAll{jj}(:,var,regime),PlotSymbol{regime},'LineWidth',2);
            else
                plot(SeqEstDates,PrctileUnCondMeanAll{jj}(:,var,regime),PlotSymbol{regime},'LineWidth',2)
            end
        end
        PlotHandle(end+1)=plot(SeqEstDates,repmat(DataMeans(regime,var),NSeqEst,1),PlotSymbol{regime});
        Count=Count+1;
    end
    if var==1
        legend(PlotHandle,LegendStr);
    end
    set(gca,'fontsize',8)
    set(gca,'xlim',[FirstSeqEstDate LastSeqEstDate])
    set(gca,'xtick',[round(FirstSeqEstDate):1:round(LastSeqEstDate)])
end

